<?php
error_reporting(0); // This will suppress all errors
?>
<?php
include "includes/header.php";
?>
<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <?php include "includes/sidebar.php"; ?>
        <main class="page-content">
            <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
                <div class="breadcrumb-Category pe-3">Daily Sales</div>
                <div class="ps-3">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb mb-0 p-0">
                            <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a></li>
                            <li class="breadcrumb-item active" aria-current="page">Daily Sales</li>
                        </ol>
                    </nav>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <form method="POST" action="">
                                <div class="row">
                                    <div class="col-md-4">
                                        <label for="selectedDate" class="form-label">Select Date:</label>
                                        <input type="date" id="selectedDate" name="selectedDate" class="form-control" value="<?php echo isset($_POST['selectedDate']) ? $_POST['selectedDate'] : date('Y-m-d'); ?>">
                                    </div>
                                    <div class="col-md-2">
                                        <button type="submit" class="btn btn-primary" style="margin-top: 30px;">Fetch Data</button>
                                    </div>
                                </div>
                            </form>

                            <div class="table-responsive hidden" style="overflow-x:hidden">
                                <table id="example2" class="table table-striped table-bordered">
                                    <thead class="thead-dark">
                                        <tr>
                                            <th>Drop Id</th>
                                            <th>Drop Name</th>
                                            <th>Total Fees</th>
                                            <th>Total Insurance</th>
                                            <th>Total Overcharge</th>
                                        </tr>
                                    </thead>
                                    <tbody id="sortable">
                                        <?php
                                        $selectedDate = isset($_POST['selectedDate']) ? $_POST['selectedDate'] : date('Y-m-d');

                                        // Prepare the SQL query to fetch necessary columns
                                        $query = "SELECT d.id, d.Name, o.fees, o.currency, o.insurance, o.insuranceCurrency, o.dropped_by 
                                                  FROM Drops d 
                                                  LEFT JOIN orders o ON d.id = o.checkpoint 
                                                  WHERE DATE(o.picked_at) = ?";
                                        $stmt = $connection->prepare($query);
                                        $stmt->bind_param("s", $selectedDate);
                                        $stmt->execute();
                                        $result = $stmt->get_result();

                                        $drops = [];

                                        while ($row = $result->fetch_assoc()) {
                                            $dropId = $row['id'];
                                            if (!isset($drops[$dropId])) {
                                                $drops[$dropId] = [
                                                    'Name' => $row['Name'],
                                                    'TotalFeesUSD' => 0,
                                                    'TotalFeesLBP' => 0,
                                                    'TotalInsuranceUSD' => 0,
                                                    'TotalInsuranceLBP' => 0,
                                                    'TotalOvercharge' => 0,
                                                ];
                                            }

                                            $fees = floatval($row['fees']);
                                            $insurance = floatval($row['insurance']);
                                            $dropped_date = new DateTime($row['dropped_by']);
                                            $current_date = new DateTime();
                                            $interval = $dropped_date->diff($current_date);
                                            $total_days = $interval->days;
                                            $overcharge = max(0, $total_days - 3);

                                            if ($row['currency'] == 'USD') {
                                                $drops[$dropId]['TotalFeesUSD'] += $fees;
                                            } else if ($row['currency'] == 'LBP') {
                                                $drops[$dropId]['TotalFeesLBP'] += $fees;
                                            }

                                            if ($row['insuranceCurrency'] == 'USD') {
                                                $drops[$dropId]['TotalInsuranceUSD'] += $insurance;
                                            } else if ($row['insuranceCurrency'] == 'LBP') {
                                                $drops[$dropId]['TotalInsuranceLBP'] += $insurance;
                                            }

                                            $drops[$dropId]['TotalOvercharge'] += $overcharge;
                                        }
                                        $stmt->close();

                                        foreach ($drops as $dropId => $drop) {
                                            echo '<tr>';
                                            echo '<td>' . htmlspecialchars($dropId) . '</td>';
                                            echo '<td><a href="RelayPointDetails.php?id=' . htmlspecialchars($dropId) . '">' . htmlspecialchars($drop['Name']) . '</a></td>';
                                            echo '<td>' . htmlspecialchars($drop['TotalFeesUSD']) . ' USD / ' . htmlspecialchars($drop['TotalFeesLBP']) . ' LBP</td>';
                                            echo '<td>' . htmlspecialchars($drop['TotalInsuranceUSD']) . ' USD / ' . htmlspecialchars($drop['TotalInsuranceLBP']) . ' LBP</td>';
                                            echo '<td>' . htmlspecialchars($drop['TotalOvercharge']) . ' USD</td>';
                                            echo '</tr>';
                                        }
                                        ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </main>

 <!--start switcher-->
 <div class="switcher-body">
    <button class="btn btn-primary btn-switcher shadow-sm" type="button" data-bs-toggle="offcanvas"
        data-bs-target="#offcanvasScrolling" aria-controls="offcanvasScrolling"><i
            class="bi bi-paint-bucket me-0"></i></button>
    <div class="offcanvas offcanvas-end shadow border-start-0 p-2" data-bs-scroll="true" data-bs-backdrop="false"
        tabindex="-1" id="offcanvasScrolling">
        <div class="offcanvas-header border-bottom">
            <h5 class="offcanvas-Category" id="offcanvasScrollingLabel">Theme Customizer</h5>
            <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
            <h6 class="mb-0">Theme Variation</h6>
            <hr>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="LightTheme"
                    value="option1">
                <label class="form-check-label" for="LightTheme">Light</label>
            </div>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="DarkTheme" value="option2">
                <label class="form-check-label" for="DarkTheme">Dark</label>
            </div>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="SemiDarkTheme"
                    value="option3" checked>
                <label class="form-check-label" for="SemiDarkTheme">Semi Dark</label>
            </div>
            <hr>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="MinimalTheme"
                    value="option3">
                <label class="form-check-label" for="MinimalTheme">Minimal Theme</label>
            </div>
            
        </div>
    </div>
</div>
<!--end switcher-->
</div>
  <!--start overlay-->
  <div class="overlay toggle-icon"></div>
  <!--end overlay-->
</body>
<footer class="footer">© 2024 Insight Media</footer>
  <!-- Bootstrap JS -->
  <script src="assets/js/bootstrap.bundle.min.js"></script>
  <script src="assets/js/jquery.min.js"></script>
  <script src="assets/js/app.js"></script>
  <script src="assets/js/pace.min.js"></script>
  <script src="//code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
  <script src="assets/plugins/simplebar/js/simplebar.min.js"></script>
  <script src="assets/plugins/metismenu/js/metisMenu.min.js"></script>
  <script src="assets/plugins/perfect-scrollbar/js/perfect-scrollbar.js"></script>
  <script src="assets/plugins/datatable/js/jquery.dataTables.min.js"></script>
  <script src="assets/plugins/datatable/js/dataTables.bootstrap5.min.js"></script>
  <script src="assets/plugins/datatable/js/dataTables.buttons.min.js"></script>
  <script src="assets/plugins/datatable/js/buttons.bootstrap5.min.js"></script>
  <script src="assets/plugins/datatable/js/jszip.min.js"></script>
  <script src="assets/plugins/datatable/js/pdfmake.min.js"></script>
  <script src="assets/plugins/datatable/js/vfs_fonts.js"></script>
  <script src="assets/plugins/datatable/js/buttons.html5.min.js"></script>
  <script src="assets/plugins/datatable/js/buttons.print.min.js"></script>
  <script src="assets/plugins/datatable/js/buttons.colVis.min.js"></script>
  <script src="assets/plugins/datatable/dataTables.responsive.min.js"></script>
  <script src="assets/plugins/datatable/responsive.bootstrap5.min.js"></script>
  <script src="assets/plugins/select2/js/select2.min.js"></script>
  <script src="assets/plugins/select2/js/select2.full.min.js"></script>
  <script src="assets/plugins/notifications/js/lobibox.min.js"></script>
<script src="assets/plugins/notifications/js/notifications.min.js"></script>
<script src="assets/plugins/notifications/js/notification-custom-script.js"></script>

  <script>
    $(document).ready(function() {
        // DataTable
        $('#example2').DataTable({
            "paging": true,
            "lengthChange": false,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "responsive": true,
            "buttons": ["copy", "excel", "pdf", "print"],
            "order": [[0, "desc"]] // Order by the 4th column in ascending order
        }).buttons().container().appendTo('#example2_wrapper .col-md-6:eq(0)');
    });
  </script>

<script>
    // Detect when a theme radio button is clicked
    document.querySelectorAll('input[name="inlineRadioOptions"]').forEach((elem) => {
        elem.addEventListener("change", function(event) {
            // Save the selected theme in localStorage
            localStorage.setItem('selectedTheme', event.target.id);
            // Apply the selected theme
            applyTheme(event.target.id);
        });
    });

    // When everything has loaded, get the selected theme from localStorage and apply it
    window.addEventListener("load", function() {
        let selectedTheme = localStorage.getItem('selectedTheme');
        if (selectedTheme) {
            document.getElementById(selectedTheme).checked = true;
            applyTheme(selectedTheme);
        }
    });

    // Function to apply the selected theme
    function applyTheme(theme) {
        const htmlClassList = document.documentElement.classList;
        // Remove all theme classes
        htmlClassList.remove('light-theme', 'dark-theme', 'semi-dark', 'minimal-theme');
        // Add the selected theme class
        switch (theme) {
            case 'LightTheme':
                htmlClassList.add('light-theme');
                break;
            case 'DarkTheme':
                htmlClassList.add('dark-theme');
                break;
            case 'SemiDarkTheme':
                htmlClassList.add('semi-dark');
                break;
            case 'MinimalTheme':
                htmlClassList.add('minimal-theme');
                break;
        }
    }
</script>
</html>
