<?php
error_reporting(0); // This will suppress all errors
include "includes/header.php";
?>
<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <?php include "includes/sidebar.php"; ?>
        <main class="page-content">
            <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
                <div class="breadcrumb-Category pe-3">Overall Statistics</div>
                <div class="ps-3">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb mb-0 p-0">
                            <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a></li>
                            <li class="breadcrumb-item active" aria-current="page">Overall Statistics</li>
                        </ol>
                    </nav>
                </div>
            </div>

            <div class="row">
                <?php
                // Initialize statistics variables
                $totalDrops = 0;
                $totalOrders = 0;
                $totalFeesUSD = 0;
                $totalFeesLBP = 0;
                $totalInsuranceUSD = 0;
                $totalInsuranceLBP = 0;
                $totalOverchargesUSD = 0;
                $nonPickedItems = 0;
                $totalRevenueUSD = 0;
                $totalRevenueLBP = 0;
                $totalRelayPoints = 0;

                // Fetch data from Drops table
                $dropsQuery = "SELECT COUNT(id) as totalDrops FROM Drops";
                $dropsResult = $connection->query($dropsQuery);
                if ($dropsResult->num_rows > 0) {
                    $row = $dropsResult->fetch_assoc();
                    $totalDrops = $row['totalDrops'];
                }

                // Fetch data from orders table
                $ordersQuery = "SELECT fees, currency, insurance, insuranceCurrency, dropped_by, Status FROM orders";
                $ordersResult = $connection->query($ordersQuery);
                if ($ordersResult->num_rows > 0) {
                    while ($row = $ordersResult->fetch_assoc()) {
                        $totalOrders++;
                        $fees = floatval($row['fees']);
                        $insurance = floatval($row['insurance']);
                        $dropped_date = new DateTime($row['dropped_by']);
                        $current_date = new DateTime();
                        $interval = $dropped_date->diff($current_date);
                        $total_days = $interval->days;
                        $overcharge = max(0, $total_days - 3);

                        if ($row['currency'] == 'USD') {
                            $totalFeesUSD += $fees;
                            $totalRevenueUSD += $fees + $overcharge;
                        } else if ($row['currency'] == 'LBP') {
                            $totalFeesLBP += $fees;
                            $totalRevenueLBP += $fees;
                        }

                        if ($row['insuranceCurrency'] == 'USD') {
                            $totalInsuranceUSD += $insurance;
                            $totalRevenueUSD += $insurance;
                        } else if ($row['insuranceCurrency'] == 'LBP') {
                            $totalInsuranceLBP += $insurance;
                            $totalRevenueLBP += $insurance;
                        }

                        $totalOverchargesUSD += $overcharge;

                        if ($row['Status'] == 1) {
                            $nonPickedItems++;
                        }
                    }
                }

                // Fetch total number of relay points
                $relayPointsQuery = "SELECT COUNT(DISTINCT checkpoint) as totalRelayPoints FROM orders";
                $relayPointsResult = $connection->query($relayPointsQuery);
                if ($relayPointsResult->num_rows > 0) {
                    $row = $relayPointsResult->fetch_assoc();
                    $totalRelayPoints = $row['totalRelayPoints'];
                }
                ?>
                <div class="row row-cols-1 row-cols-lg-2 row-cols-xl-4">
                <!-- Card Template -->
                <div class="col">
                    <div class="card rounded-4">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div class="">
                                    <p class="mb-1">Total Relay Points</p>
                                    <h4 class="mb-0"><?php echo $totalDrops; ?></h4>
                                </div>
                                <div class="ms-auto widget-icon bg-orange text-white">
                                    <i class="bi bi-graph-up"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col">
                    <div class="card rounded-4">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div class="">
                                    <p class="mb-1">Total Orders</p>
                                    <h4 class="mb-0"><?php echo $totalOrders; ?></h4>
                                </div>
                                <div class="ms-auto widget-icon bg-orange text-white">
                                    <i class="bi bi-graph-up"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col">
                    <div class="card rounded-4">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div class="">
                                    <p class="mb-1">Total Fees Collected (USD)</p>
                                    <h4 class="mb-0"><?php echo $totalFeesUSD; ?> USD</h4>
                                </div>
                                <div class="ms-auto widget-icon bg-pink text-white">
                                    <i class="bx bx-dollar-circle"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col">
                    <div class="card rounded-4">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div class="">
                                    <p class="mb-1">Total Fees Collected (LBP)</p>
                                    <h4 class="mb-0"><?php echo $totalFeesLBP; ?> LBP</h4>
                                </div>
                                <div class="ms-auto widget-icon bg-pink text-white">
                                    <i class="bx bx-dollar-circle"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col">
                    <div class="card rounded-4">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div class="">
                                    <p class="mb-1">Total Insurance Collected (USD)</p>
                                    <h4 class="mb-0"><?php echo $totalInsuranceUSD; ?> USD</h4>
                                </div>
                                <div class="ms-auto widget-icon bg-pink text-white">
                                    <i class="bx bx-dollar-circle"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col">
                    <div class="card rounded-4">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div class="">
                                    <p class="mb-1">Total Insurance Collected (LBP)</p>
                                    <h4 class="mb-0"><?php echo $totalInsuranceLBP; ?> LBP</h4>
                                </div>
                                <div class="ms-auto widget-icon bg-pink text-white">
                                    <i class="bx bx-dollar-circle"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col">
                    <div class="card rounded-4">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div class="">
                                    <p class="mb-1">Total Overcharges (USD)</p>
                                    <h4 class="mb-0"><?php echo $totalOverchargesUSD; ?> USD</h4>
                                </div>
                                <div class="ms-auto widget-icon bg-pink text-white">
                                    <i class="bx bx-dollar-circle"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col">
                    <div class="card rounded-4">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div class="">
                                    <p class="mb-1">Number of Non-Picked Items</p>
                                    <h4 class="mb-0"><?php echo $nonPickedItems; ?></h4>
                                </div>
                                <div class="ms-auto widget-icon bg-orange text-white">
                                    <i class="bi bi-graph-up"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col">
                    <div class="card rounded-4">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div class="">
                                    <p class="mb-1">Total Revenue (USD)</p>
                                    <h4 class="mb-0"><?php echo $totalRevenueUSD; ?> USD</h4>
                                </div>
                                <div class="ms-auto widget-icon bg-pink text-white">
                                    <i class="bx bx-dollar-circle"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col">
                    <div class="card rounded-4">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div class="">
                                    <p class="mb-1">Total Revenue (LBP)</p>
                                    <h4 class="mb-0"><?php echo $totalRevenueLBP; ?> LBP</h4>
                                </div>
                                <div class="ms-auto widget-icon bg-pink text-white">
                                    <i class="bx bx-dollar-circle"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Add more cards for additional statistics as needed -->
            </div>
            </div>
        </main>
        <?php include 'includes/footer.php'; ?>