<?php
error_reporting(0); // This will suppress all errors
?>
<?php include 'includes/header.php'; ?>
<?php
require_once 'vendor/autoload.php';

use Twilio\Rest\Client;

$accountSid = 'AC86b51642b61503f1f2dc2a3680daa2bb';
$authToken = '2cda21d5c63204e670eb0a041ebd3c8c';
$twilioWhatsAppNumber = 'whatsapp:+19516434805';

$client = new Client($accountSid, $authToken);

if (isset($_POST['orderId']) && isset($_POST['status'])) {
    $orderId = mysqli_real_escape_string($connection, $_POST['orderId']);
    $status = mysqli_real_escape_string($connection, $_POST['status']);

    if ($status == 1 || $status == 2 || $status == 3 || $status == 4) {
        $query = "UPDATE orders SET Status = ? WHERE id = ?";
        $stmt = mysqli_prepare($connection, $query);

        if ($stmt) {
            mysqli_stmt_bind_param($stmt, "ii", $status, $orderId);
            $result = mysqli_stmt_execute($stmt);

            if ($result) {
                if ($status == 1) {
                    $droppedBy = date('Y-m-d H:i:s');
                    $updateDroppedByQuery = "UPDATE orders SET dropped_by = ? WHERE id = ?";
                    $updateDroppedByStmt = mysqli_prepare($connection, $updateDroppedByQuery);
                    if ($updateDroppedByStmt) {
                        mysqli_stmt_bind_param($updateDroppedByStmt, "si", $droppedBy, $orderId);
                        mysqli_stmt_execute($updateDroppedByStmt);
                        mysqli_stmt_close($updateDroppedByStmt);
                    }
                }
                if ($status == 2) {
                    $pickedAt = date('Y-m-d H:i:s');
                    $updatePickedAtQuery = "UPDATE orders SET picked_at = ? WHERE id = ?";
                    $updatePickedAtStmt = mysqli_prepare($connection, $updatePickedAtQuery);
                    if ($updatePickedAtStmt) {
                        mysqli_stmt_bind_param($updatePickedAtStmt, "si", $pickedAt, $orderId);
                        mysqli_stmt_execute($updatePickedAtStmt);
                        mysqli_stmt_close($updatePickedAtStmt);
                    }
                }
                if ($status == 3) {
                    $heldForStorage = date('Y-m-d H:i:s');
                    $updateHeldForStorageQuery = "UPDATE orders SET held_for_storage = ? WHERE id = ?";
                    $updateHeldForStorageStmt = mysqli_prepare($connection, $updateHeldForStorageQuery);
                    if ($updateHeldForStorageStmt) {
                        mysqli_stmt_bind_param($updateHeldForStorageStmt, "si", $heldForStorage, $orderId);
                        mysqli_stmt_execute($updateHeldForStorageStmt);
                        mysqli_stmt_close($updateHeldForStorageStmt);
                    }
                }
                if ($status == 4) {
                    $heldForStorage = date('Y-m-d H:i:s');
                    $updateHeldForStorageQuery = "UPDATE orders SET cancelled = ? WHERE id = ?";
                    $updateHeldForStorageStmt = mysqli_prepare($connection, $updateHeldForStorageQuery);
                    if ($updateHeldForStorageStmt) {
                        mysqli_stmt_bind_param($updateHeldForStorageStmt, "si", $heldForStorage, $orderId);
                        mysqli_stmt_execute($updateHeldForStorageStmt);
                        mysqli_stmt_close($updateHeldForStorageStmt);
                    }
                }

                $orderQuery = "SELECT phone_number, sender_phone_number, checkpoint, code FROM orders WHERE id = ?";
                $orderStmt = mysqli_prepare($connection, $orderQuery);
                mysqli_stmt_bind_param($orderStmt, "i", $orderId);
                mysqli_stmt_execute($orderStmt);
                $orderResult = mysqli_stmt_get_result($orderStmt);
                $order = mysqli_fetch_assoc($orderResult);
                mysqli_stmt_close($orderStmt);

                if ($order) {
                    $senderPhoneNumber = $order['sender_phone_number'];
                    $phoneNumber = $order['phone_number'];
                    $checkpointId = $order['checkpoint'];
                    $code = $order['code'];

                    // Fetch the drop details
                    $dropQuery = "SELECT Name, Address, GoogleMaps, PhoneNumber FROM Drops WHERE id = ?";
                    $dropStmt = mysqli_prepare($connection, $dropQuery);
                    mysqli_stmt_bind_param($dropStmt, "i", $checkpointId);
                    mysqli_stmt_execute($dropStmt);
                    $dropResult = mysqli_stmt_get_result($dropStmt);
                    $drop = mysqli_fetch_assoc($dropResult);
                    mysqli_stmt_close($dropStmt);

                    if ($drop) {
                        $dropName = $drop['Name'];
                        $dropAddress = $drop['Address'];
                        $dropGoogleMaps = "https://www.google.com/maps/search/?api=1&query=" . urlencode($drop['GoogleMaps']);
                        $dropPhoneNumber = $drop['PhoneNumber'];

                        try {
                            if ($status == 1) {
                                $client->messages->create(
                                    'whatsapp:+961' . $dropPhoneNumber,
                                    [
                                        'from' => $twilioWhatsAppNumber,
                                        'body' => "Dear Drop-off and Pick-up Point Owner,\n\nYou have received a package from the customer associated with the phone number $senderPhoneNumber with details available in your application. This package is under your custody and responsibility until it is collected by the recipient, with a maximum holding period of three business days."
                                    ]
                                );

                                $client->messages->create(
                                    'whatsapp:' . $phoneNumber,
                                    [
                                        'from' => $twilioWhatsAppNumber,
                                        'body' => "Dear Valued Customer,\n\nYour package, associated with the phone number $senderPhoneNumber, has been deposited at the drop-off and pick-up point located at $dropGoogleMaps. You may collect it starting today, with a maximum holding period of three business days.\nIn Case Of Delay, an extra charge of one dollar per day will be applied for an additional three days.\nPlease present the code ($code) to the relay point before collecting your order."
                                    ]
                                );

                                $response = [
                                    'success' => 1,
                                    'message' => 'Order status updated and notification sent via WhatsApp.'
                                ];
                            } elseif ($status == 2) {
                                $client->messages->create(
                                    'whatsapp:' . $phoneNumber,
                                    [
                                        'from' => $twilioWhatsAppNumber,
                                        'body' => "We are pleased to inform you that you have successfully picked up your package. Thank you for using our service. We look forward to serving you again in the future."
                                    ]
                                );
                                $client->messages->create(
                                    'whatsapp:' . $senderPhoneNumber,
                                    [
                                        'from' => $twilioWhatsAppNumber,
                                        'body' => "We are pleased to inform you that the recipient has successfully picked up the package you sent. Thank you for using our service!"
                                    ]
                                );

                                $response = [
                                    'success' => 1,
                                    'message' => 'Order status updated and notification sent via WhatsApp.'
                                ];
                            } elseif ($status == 3) {
                                $client->messages->create(
                                    'whatsapp:' . $senderPhoneNumber,
                                    [
                                        'from' => $twilioWhatsAppNumber,
                                        'body' => "Good news! Your order has been approved. You can drop off your order at the following relay point:\n\n$dropName, $dropAddress, $dropGoogleMaps \n\nPlease make sure to bring your order within the next 3 days, or it will be cancelled.\n\nThank you for your cooperation."
                                    ]
                                );

                                $response = [
                                    'success' => 1,
                                    'message' => 'Order status updated and notification sent via WhatsApp.'
                                ];
                            }  elseif ($status == 4) {
                                $newOrderId = 'SK836377' . $orderId;
                                $client->messages->create(
                                    'whatsapp:' . $senderPhoneNumber,
                                    [
                                        'from' => $twilioWhatsAppNumber,
                                        'body' => "We regret to inform you that your order has been declined. For more information or assistance, please reach out to us using the WhatsApp buttons below.\n\nWhen contacting us, kindly use your order ID: $newOrderId to help us assist you further."
                                    ]
                                );

                                $response = [
                                    'success' => 1,
                                    'message' => 'Order status updated and notification sent via WhatsApp.'
                                ];
                            }

                        } catch (Exception $e) {
                            $response = [
                                'success' => 0,
                                'message' => 'Order status updated, but failed to send WhatsApp notification.',
                                'error' => $e->getMessage()
                            ];
                        }
                    } else {
                        $response = [
                            'success' => 0,
                            'message' => 'Drop point not found.'
                        ];
                    }
                } else {
                    $response = [
                        'success' => 0,
                        'message' => 'Order not found.'
                    ];
                }
            } else {
                $response = [
                    'success' => 0,
                    'message' => 'Failed to update order status.'
                ];
            }

            mysqli_stmt_close($stmt);
        } else {
            $response = [
                'success' => 0,
                'message' => 'Failed to prepare the statement.'
            ];
        }
    } else {
        $response = [
            'success' => 0,
            'message' => 'Invalid status value.'
        ];
    }
} else {
    $response = [
        'success' => 0,
        'message' => 'Required field(s) is missing.'
    ];
}
?>

<style>
    .modal-body p {
        margin-bottom: 0;
    }

    .modal-body .row {
        padding: 0.5rem 0;
        border-bottom: 1px solid #e9ecef;
    }

    .modal-body .row:last-child {
        border-bottom: none;
    }

    .modal-body p.text-muted {
        margin-bottom: 0;
        font-weight: bold;
        color: #6c757d;
    }

    .carousel-item img {
        max-height: 500px;
        object-fit: cover;
    }
</style>
<?php include "includes/sidebar.php"; ?>

<main class="page-content">
    <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
        <div class="breadcrumb-title pe-3">Relay Points</div>
        <div class="ps-3">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb mb-0 p-0">
                    <?php
                        $dropName = 'Unknown Drop';
                        $dropId = 0;
                        if (isset($_GET['id'])) {
                            $dropId = intval($_GET['id']);
                            
                            // Prepare and execute the statement to fetch the drop name
                            $stmt = $connection->prepare("SELECT Name FROM Drops WHERE id = ?");
                            $stmt->bind_param("i", $dropId);
                            $stmt->execute();
                            $result = $stmt->get_result();
                            
                            if ($result->num_rows > 0) {
                                $row = $result->fetch_assoc();
                                $dropName = htmlspecialchars($row['Name']);
                            }

                            // Close the statement
                            $stmt->close();
                        }
                    ?>
                    <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a></li>
                    <li class="breadcrumb-item active" aria-current="page"><?php echo $dropName; ?>,
                        #<?php echo $dropId; ?></li>
                </ol>
            </nav>
        </div>
    </div>
    <hr />
    <div class="card">
        <div class="card-body">
            <ul class="nav nav-tabs nav-success" role="tablist">
                <li class="nav-item" role="presentation">
                    <a class="nav-link active" data-bs-toggle="tab" href="#allOrders" role="tab" aria-selected="true">
                        <div class="d-flex align-items-center">
                            <div class="tab-icon"><i class='bx bx-package font-18 me-1'></i></div>
                            <div class="tab-title">All Orders</div>
                        </div>
                    </a>
                </li>
                <li class="nav-item" role="presentation">
                    <a class="nav-link" data-bs-toggle="tab" href="#pickedUpOrders" role="tab" aria-selected="true">
                        <div class="d-flex align-items-center">
                            <div class="tab-icon"><i class='bx bx-package font-18 me-1'></i></div>
                            <div class="tab-title">Picked-Up Orders</div>
                        </div>
                    </a>
                </li>
                <li class="nav-item" role="presentation">
                    <a class="nav-link" data-bs-toggle="tab" href="#nonPickedUpOrders" role="tab" aria-selected="true">
                        <div class="d-flex align-items-center">
                            <div class="tab-icon"><i class='bx bx-package font-18 me-1'></i></div>
                            <div class="tab-title">Non-Picked-Up Orders</div>
                        </div>
                    </a>
                </li>
                <li class="nav-item" role="presentation">
                    <a class="nav-link" data-bs-toggle="tab" href="#heldForStorage" role="tab" aria-selected="true">
                        <div class="d-flex align-items-center">
                            <div class="tab-icon"><i class='bx bx-package font-18 me-1'></i></div>
                            <div class="tab-title">Held for Storage</div>
                        </div>
                    </a>
                </li>
                <li class="nav-item" role="presentation">
                    <a class="nav-link" data-bs-toggle="tab" href="#inRequest" role="tab" aria-selected="true">
                        <div class="d-flex align-items-center">
                            <div class="tab-icon"><i class='bx bx-package font-18 me-1'></i></div>
                            <div class="tab-title">In Requests</div>
                        </div>
                    </a>
                </li>
                <li class="nav-item" role="presentation">
                    <a class="nav-link" data-bs-toggle="tab" href="#dailySales" role="tab" aria-selected="false">
                        <div class="d-flex align-items-center">
                            <div class="tab-icon"><i class='bx bx-dollar-circle font-18 me-1'></i></div>
                            <div class="tab-title">Daily Sales</div>
                        </div>
                    </a>
                </li>
                <li class="nav-item" role="presentation">
                    <a class="nav-link" data-bs-toggle="tab" href="#cancelled" role="tab" aria-selected="false">
                        <div class="d-flex align-items-center">
                            <div class="tab-icon"><i class='bx bx-x font-18 me-1'></i></div>
                            <div class="tab-title">Cancelled Orders</div>
                        </div>
                    </a>
                </li>
            </ul>
            <div class="tab-content py-3">
                <div class="tab-pane fade show active" id="allOrders" role="tabpanel">
                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="table-responsive hidden" style="overflow-x:hidden">
                                <table id="example4" class="table table-striped table-bordered">
                                    <thead class="thead-dark">
                                        <tr>
                                            <th>Order Id</th>
                                            <th>Sender Phone Number</th>
                                            <th>Receiver Phone Number</th>
                                            <th>Description</th>
                                            <th>Notes</th>
                                            <th>Fees</th>
                                            <th>Insurance</th>
                                            <th>Overcharged</th>
                                            <th>Code</th>
                                            <th>Status</th>
                                            <th>More Details</th>
                                            <th>Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody id="sortable">
                                        <?php
                                        // Prepare the SQL query to fetch necessary columns
                                        $query = "SELECT * FROM orders WHERE checkpoint=?";
                                        $stmt = $connection->prepare($query);
                                        $stmt->bind_param("i", $dropId);
                                        $stmt->execute();
                                        $result = $stmt->get_result();

                                        while ($row = $result->fetch_assoc()) {
                                            $dropped_date = new DateTime($row['dropped_by']);
                                            $current_date = new DateTime();
                                            $interval = $dropped_date->diff($current_date);
                                            $total_days = $interval->days;

                                            // Calculate Days
                                            $days = max(0, $total_days - 3);

                                            // Determine the status text based on the status value
                                            $statusText = '';
                                            switch ($row['Status']) {
                                                case 0:
                                                    $statusText = 'In Request';
                                                    break;
                                                case 1:
                                                    $statusText = 'In-Stock';
                                                    break;
                                                case 2:
                                                    $statusText = 'Picked-Up';
                                                    break;
                                                case 3:
                                                    $statusText = 'Held For Storage';
                                                    break;
                                                case 4:
                                                    $statusText = 'Cancelled';
                                                    break;
                                            }

                                            echo '<tr data-id="' . $row['id'] . '">';
                                            echo '<td>SK836377' . htmlspecialchars($row['id']) . '</td>';
                                            echo '<td>' . htmlspecialchars($row['sender_phone_number']) . '</td>';
                                            echo '<td>' . htmlspecialchars($row['phone_number']) . '</td>';      
                                            echo '<td>' . htmlspecialchars($row['description']) . '</td>';
                                            echo '<td>' . htmlspecialchars($row['notes']) . '</td>'; 
                                            echo '<td>' . $row['fees'] . $row['currency'] . '</td>'; 
                                            echo '<td>' . $row['insurance'] . $row['insuranceCurrency'] . '</td>'; 
                                            echo '<td>' . htmlspecialchars($days . ' $') . '</td>';                                                   
                                            echo '<td>' . htmlspecialchars($row['code']) . '</td>';
                                            echo '<td>' . htmlspecialchars($statusText) . '</td>';
                                            echo '<td>';
                                            echo '<a href="#" class="text-primary eye-btn" data-bs-toggle="modal" data-bs-target="#detailModal" data-id="' . $row['id'] . '" data-order-date="' . htmlspecialchars($row['created_at']) . '" data-held-for-storage="' . htmlspecialchars($row['held_for_storage']) . '" data-dropped-by="' . htmlspecialchars($row['dropped_by']) . '" data-picked="' . htmlspecialchars($row['picked_at']) . '"' . '" data-cancelled="' . htmlspecialchars($row['cancelled']) . '" data-bs-toggle="tooltip" data-bs-placement="bottom" aria-label="Eye"><i class="lni lni-alarm-clock"></i></a>';                                                
                                            echo '&nbsp&nbsp&nbsp<a href="#" class="text-info image-btn" data-bs-toggle="modal" data-bs-target="#imageModal" data-order-id="' . $row['id'] . '" data-bs-toggle="tooltip" data-bs-placement="bottom" title="View Images"><i class="bi bi-images"></i></a>';
                                            echo '</td>';
                                            echo '<td>';
                                            echo '<div class="table-actions d-flex align-items-center gap-2 fs-6">';
                                            
                                            if ($row['Status'] == 0) {
                                                echo '<form name="frmAccept'.$row['id'].'" id="frmAccept'.$row['id'].'" method="POST" action="RelayPointDetails.php?id='.$row['checkpoint'].'">
                                                    <input type="hidden" name="orderId" value="'.$row['id'].'"/>
                                                    <input type="hidden" name="status" value="3"/>
                                                    <a href="#" onclick="if(confirm(\'Are you sure you want to accept this order?\')){document.getElementById(\'frmAccept'.$row['id'].'\').submit();}" class="text-success" data-bs-toggle="tooltip" data-bs-placement="bottom" title="Accept"><i class="bx bx-check-circle"></i></a>
                                                </form>';
                                            }

                                            if ($row['Status'] != 4 && $row['Status'] != 2) {
                                                echo '<form name="frmCancel'.$row['id'].'" id="frmCancel'.$row['id'].'" method="POST" action="RelayPointDetails.php?id='.$row['checkpoint'].'">
                                                    <input type="hidden" name="orderId" value="'.$row['id'].'"/>
                                                    <input type="hidden" name="status" value="4"/>
                                                    <a href="#" class="text-danger" data-bs-toggle="tooltip" onclick="if(confirm(\'Are you sure you want to cancel this order?\')){document.getElementById(\'frmCancel'.$row['id'].'\').submit();}" data-bs-placement="bottom" title="Cancel"><i class="bx bx-x-circle"></i></a>
                                                </form>';
                                            }

                                            echo '</div>';
                                            echo '</td>';
                                            echo '</tr>';
                                        }
                                        $stmt->close();
                                        ?>
                                    </tbody>
                                </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal fade" id="detailModal" tabindex="-1" aria-labelledby="detailModalLabel"
                    aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="detailModalLabel">Order Details</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                    aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                <div class="row mb-3">
                                    <div class="col-md-6">
                                        <p class="text-muted"><strong>Order Date:</strong></p>
                                    </div>
                                    <div class="col-md-6">
                                        <p id="modalOrderDate"></p>
                                    </div>
                                </div>
                                <div class="row mb-3">
                                    <div class="col-md-6">
                                        <p class="text-muted"><strong>Held for Storage:</strong></p>
                                    </div>
                                    <div class="col-md-6">
                                        <p id="modalHeldForStorage"></p>
                                    </div>
                                </div>
                                <div class="row mb-3">
                                    <div class="col-md-6">
                                        <p class="text-muted"><strong>Dropped By:</strong></p>
                                    </div>
                                    <div class="col-md-6">
                                        <p id="modalDroppedBy"></p>
                                    </div>
                                </div>
                                <div class="row mb-3">
                                    <div class="col-md-6">
                                        <p class="text-muted"><strong>Picked:</strong></p>
                                    </div>
                                    <div class="col-md-6">
                                        <p id="modalPicked"></p>
                                    </div>
                                </div>
                                <div class="row mb-3">
                                    <div class="col-md-6">
                                        <p class="text-muted"><strong>Cancelled:</strong></p>
                                    </div>
                                    <div class="col-md-6">
                                        <p id="modalCancelled"></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="modal fade" id="imageModal" tabindex="-1" aria-labelledby="imageModalLabel"
                    aria-hidden="true">
                    <div class="modal-dialog modal-lg modal-dialog-centered">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="imageModalLabel">Order Images</h5>
                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                    aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                <div id="imageCarousel" class="carousel slide" data-bs-ride="carousel">
                                    <div class="carousel-inner" id="carouselImages">
                                        <!-- Dynamic content will be inserted here -->
                                    </div>
                                    <button class="carousel-control-prev" type="button" data-bs-target="#imageCarousel"
                                        data-bs-slide="prev">
                                        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                        <span class="visually-hidden">Previous</span>
                                    </button>
                                    <button class="carousel-control-next" type="button" data-bs-target="#imageCarousel"
                                        data-bs-slide="next">
                                        <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                        <span class="visually-hidden">Next</span>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="tab-pane fade" id="pickedUpOrders" role="tabpanel">
                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="table-responsive hidden" style="overflow-x:hidden">
                                    <table id="example2" class="table table-striped table-bordered">
                                        <thead class="thead-dark">
                                            <tr>
                                                <th>Order Id</th>
                                                <th>Dropped-By</th>
                                                <th>Date</th>
                                                <th>Time</th>
                                                <th>Picked-Up By</th>
                                                <th>Date</th>
                                                <th>Time</th>
                                                <th>Fees</th>
                                                <th>Insurance</th>
                                                <th>More Details</th>
                                            </tr>
                                        </thead>
                                        <tbody id="sortable">
                                            <?php
                                                // Prepare the SQL query to fetch necessary columns
                                                $query = "SELECT * FROM orders WHERE picked_at IS NOT NULL AND picked_at != '' AND checkpoint=?";
                                                $stmt = $connection->prepare($query);
                                                $stmt->bind_param("i", $dropId);
                                                $stmt->execute();
                                                $result = $stmt->get_result();

                                                while ($row = $result->fetch_assoc()) {
                                                    // Format the created_at and picked_at columns
                                                    $created_date = date('Y-m-d', strtotime($row['dropped_by']));
                                                    $created_time = date('H:i:s', strtotime($row['dropped_by']));
                                                    $picked_date = date('Y-m-d', strtotime($row['picked_at']));
                                                    $picked_time = date('H:i:s', strtotime($row['picked_at']));

                                                    echo '<tr data-id="' . $row['id'] . '">';
                                                    echo '<td>SK836377' . htmlspecialchars($row['id']) . '</td>';
                                                    echo '<td>' . htmlspecialchars($row['sender_phone_number']) . '</td>';
                                                    echo '<td>' . htmlspecialchars($created_date) . '</td>';
                                                    echo '<td>' . htmlspecialchars($created_time) . '</td>';
                                                    echo '<td>' . htmlspecialchars($row['phone_number']) . '</td>';
                                                    echo '<td>' . htmlspecialchars($picked_date) . '</td>';
                                                    echo '<td>' . htmlspecialchars($picked_time) . '</td>';
                                                    echo '<td>' . $row['fees'] . $row['currency'] .'</td>';
                                                    echo '<td>' . $row['insurance'] . $row['insuranceCurrency'] .'</td>';
                                                    echo '<td>';
                                                    echo '<a href="#" class="text-primary eye-btn" data-bs-toggle="modal" data-bs-target="#detailModal" data-id="' . $row['id'] . '" data-order-date="' . htmlspecialchars($row['created_at']) . '" data-held-for-storage="' . htmlspecialchars($row['held_for_storage']) . '" data-dropped-by="' . htmlspecialchars($row['dropped_by']) . '" data-picked="' . htmlspecialchars($row['picked_at']) . '"' . '" data-cancelled="' . htmlspecialchars($row['cancelled']) . '" data-bs-toggle="tooltip" data-bs-placement="bottom" aria-label="Eye"><i class="lni lni-alarm-clock"></i></a>';                                                
                                                    echo '&nbsp&nbsp&nbsp<a href="#" class="text-info image-btn" data-bs-toggle="modal" data-bs-target="#imageModal" data-order-id="' . $row['id'] . '" data-bs-toggle="tooltip" data-bs-placement="bottom" title="View Images"><i class="bi bi-images"></i></a>';
                                                    echo '</td>';
                                                    echo '</tr>';
                                                }
                                                $stmt->close();
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane fade" id="nonPickedUpOrders" role="tabpanel">
                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="table-responsive hidden" style="overflow-x:hidden">
                                    <table id="example3" class="table table-striped table-bordered">
                                        <thead class="thead-dark">
                                            <tr>
                                                <th>Order Id</th>
                                                <th>Sender Phone Number</th>
                                                <th>Description</th>
                                                <th>Receiver Phone Number</th>
                                                <th>Total Days</th>
                                                <th>Days</th>
                                                <th>Overcharged</th>
                                                <th>Fees</th>
                                                <th>Insurance</th>
                                                <th>More Details</th>
                                                <th>Actions</th>
                                            </tr>
                                        </thead>
                                        <tbody id="sortable">
                                            <?php
                                                if ($dropId > 0) {
                                                    // Prepare the SQL query to fetch necessary columns
                                                    $query = "SELECT * FROM orders WHERE Status = 1 AND checkpoint=?";
                                                    $stmt = $connection->prepare($query);
                                                    $stmt->bind_param("i", $dropId);
                                                    $stmt->execute();
                                                    $result = $stmt->get_result();

                                                    while ($row = $result->fetch_assoc()) {
                                                        $dropped_date = new DateTime($row['dropped_by']);
                                                        $current_date = new DateTime();
                                                        $interval = $dropped_date->diff($current_date);
                                                        $total_days = $interval->days;

                                                        // Calculate Days
                                                        $days = max(0, $total_days - 3);

                                                        echo '<tr data-id="' . $row['id'] . '">';
                                                        echo '<td>SK836377' . htmlspecialchars($row['id']) . '</td>';
                                                        echo '<td>' . htmlspecialchars($row['sender_phone_number']) . '</td>';
                                                        echo '<td>' . htmlspecialchars($row['description']) . '</td>';
                                                        echo '<td>' . htmlspecialchars($row['phone_number']) . '</td>';
                                                        echo '<td>' . htmlspecialchars($total_days) . '</td>';
                                                        echo '<td>' . htmlspecialchars($days) . '</td>';
                                                        echo '<td>' . htmlspecialchars($days . ' $') . '</td>';
                                                        echo '<td>' . $row['fees'] . $row['currency'] .'</td>';
                                                        echo '<td>' . $row['insurance'] . $row['insuranceCurrency'] .'</td>';
                                                        echo '<td>';
                                                        echo '<a href="#" class="text-primary eye-btn" data-bs-toggle="modal" data-bs-target="#detailModal" data-id="' . $row['id'] . '" data-order-date="' . htmlspecialchars($row['created_at']) . '" data-held-for-storage="' . htmlspecialchars($row['held_for_storage']) . '" data-dropped-by="' . htmlspecialchars($row['dropped_by']) . '" data-picked="' . htmlspecialchars($row['picked_at']) . '"' . '" data-cancelled="' . htmlspecialchars($row['cancelled']) . '" data-bs-toggle="tooltip" data-bs-placement="bottom" aria-label="Eye"><i class="lni lni-alarm-clock"></i></a>';                                                
                                                        echo '&nbsp&nbsp&nbsp<a href="#" class="text-info image-btn" data-bs-toggle="modal" data-bs-target="#imageModal" data-order-id="' . $row['id'] . '" data-bs-toggle="tooltip" data-bs-placement="bottom" title="View Images"><i class="bi bi-images"></i></a>';
                                                        echo '</td>';
                                                        echo '<td>';
                                                        echo '<div class="table-actions d-flex align-items-center gap-2 fs-6">';
                                                        echo '<form name="frmAccept'.$row['id'].'" id="frmAccept'.$row['id'].'" method="POST" action="RelayPointDetails.php?id='.$row['checkpoint'].'">
                                                            <input type="hidden" name="orderId" value="'.$row['id'].'"/>
                                                            <input type="hidden" name="status" value="2"/>
                                                            <a href="#" onclick="if(confirm(\'Are you sure the item is picked-up?\')){document.getElementById(\'frmAccept'.$row['id'].'\').submit();}" class="text-success" data-bs-toggle="tooltip" data-bs-placement="bottom" title="Accept"><i class="bx bx-check-circle"></i></a>
                                                        </form>';
                                                        echo '<form name="frmCancel'.$row['id'].'" id="frmCancel'.$row['id'].'" method="POST" action="RelayPointDetails.php?id='.$row['checkpoint'].'">
                                                            <input type="hidden" name="orderId" value="'.$row['id'].'"/>
                                                            <input type="hidden" name="status" value="4"/>
                                                            <a href="#" class="text-danger" data-bs-toggle="tooltip" onclick="if(confirm(\'Are you sure you want to cancel this order?\')){document.getElementById(\'frmCancel'.$row['id'].'\').submit();}" data-bs-placement="bottom" title="Cancel"><i class="bx bx-x-circle"></i></a>
                                                        </form>';
                                                        echo '</div>';
                                                        echo '</td>';
                                                        echo '</tr>';
                                                    }
                                                    $stmt->close();
                                                }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane fade" id="heldForStorage" role="tabpanel">
                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="table-responsive hidden" style="overflow-x:hidden">
                                    <table id="example6" class="table table-striped table-bordered">
                                        <thead class="thead-dark">
                                            <tr>
                                                <th>Order Id</th>
                                                <th>Sender Phone Number</th>
                                                <th>Description</th>
                                                <th>Notes</th>
                                                <th>Receiver Phone Number</th>
                                                <th>Fees</th>
                                                <th>Insurance</th>
                                                <th>More Details</th>
                                                <th>Actions</th>
                                            </tr>
                                        </thead>
                                        <tbody id="sortable">
                                            <?php
                                                if ($dropId > 0) {
                                                    // Prepare the SQL query to fetch necessary columns
                                                    $query = "SELECT * FROM orders WHERE Status = 3 AND checkpoint=?";
                                                    $stmt = $connection->prepare($query);
                                                    $stmt->bind_param("i", $dropId);
                                                    $stmt->execute();
                                                    $result = $stmt->get_result();

                                                    while ($row = $result->fetch_assoc()) {
                                                        $dropped_date = new DateTime($row['dropped_by']);
                                                        $current_date = new DateTime();
                                                        $interval = $dropped_date->diff($current_date);
                                                        $total_days = $interval->days;

                                                        // Calculate Days
                                                        $days = max(0, $total_days - 3);

                                                        echo '<tr data-id="' . $row['id'] . '">';
                                                        echo '<td>SK836377' . htmlspecialchars($row['id']) . '</td>';
                                                        echo '<td>' . htmlspecialchars($row['sender_phone_number']) . '</td>';
                                                        echo '<td>' . htmlspecialchars($row['description']) . '</td>';
                                                        echo '<td>' . htmlspecialchars($row['notes']) . '</td>';
                                                        echo '<td>' . htmlspecialchars($row['phone_number']) . '</td>';
                                                        echo '<td>' . $row['fees'] . $row['currency'] .'</td>';
                                                        echo '<td>' . $row['insurance'] . $row['insuranceCurrency'] .'</td>';
                                                        echo '<td>';
                                                        echo '<a href="#" class="text-primary eye-btn" data-bs-toggle="modal" data-bs-target="#detailModal" data-id="' . $row['id'] . '" data-order-date="' . htmlspecialchars($row['created_at']) . '" data-held-for-storage="' . htmlspecialchars($row['held_for_storage']) . '" data-dropped-by="' . htmlspecialchars($row['dropped_by']) . '" data-picked="' . htmlspecialchars($row['picked_at']) . '"' . '" data-cancelled="' . htmlspecialchars($row['cancelled']) . '" data-bs-toggle="tooltip" data-bs-placement="bottom" aria-label="Eye"><i class="lni lni-alarm-clock"></i></a>';                                                
                                                        echo '&nbsp&nbsp&nbsp<a href="#" class="text-info image-btn" data-bs-toggle="modal" data-bs-target="#imageModal" data-order-id="' . $row['id'] . '" data-bs-toggle="tooltip" data-bs-placement="bottom" title="View Images"><i class="bi bi-images"></i></a>';
                                                        echo '</td>';
                                                        echo '<td>';
                                                        echo '<div class="table-actions d-flex align-items-center gap-2 fs-6">';
                                                        echo '<form name="frmAccept'.$row['id'].'" id="frmAccept'.$row['id'].'" method="POST" action="RelayPointDetails.php?id='.$row['checkpoint'].'">
                                                            <input type="hidden" name="orderId" value="'.$row['id'].'"/>
                                                            <input type="hidden" name="status" value="1"/>
                                                            <a href="#" onclick="if(confirm(\'Are you sure the item is picked-up?\')){document.getElementById(\'frmAccept'.$row['id'].'\').submit();}" class="text-success" data-bs-toggle="tooltip" data-bs-placement="bottom" title="Accept"><i class="bx bx-check-circle"></i></a>
                                                        </form>';
                                                        echo '<form name="frmCancel'.$row['id'].'" id="frmCancel'.$row['id'].'" method="POST" action="RelayPointDetails.php?id='.$row['checkpoint'].'">
                                                            <input type="hidden" name="orderId" value="'.$row['id'].'"/>
                                                            <input type="hidden" name="status" value="4"/>
                                                            <a href="#" class="text-danger" data-bs-toggle="tooltip" onclick="if(confirm(\'Are you sure you want to cancel this order?\')){document.getElementById(\'frmCancel'.$row['id'].'\').submit();}" data-bs-placement="bottom" title="Cancel"><i class="bx bx-x-circle"></i></a>
                                                        </form>';
                                                        echo '</div>';
                                                        echo '</td>';
                                                        echo '</tr>';
                                                    }
                                                    $stmt->close();
                                                }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane fade" id="inRequest" role="tabpanel">
                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="table-responsive hidden" style="overflow-x:hidden">
                                    <table id="example7" class="table table-striped table-bordered">
                                        <thead class="thead-dark">
                                            <tr>
                                                <th>Order Id</th>
                                                <th>Sender Phone Number</th>
                                                <th>Description</th>
                                                <th>Notes</th>
                                                <th>Receiver Phone Number</th>
                                                <th>Fees</th>
                                                <th>Insurance</th>
                                                <th>More Details</th>
                                                <th>Actions</th>
                                            </tr>
                                        </thead>
                                        <tbody id="sortable">
                                            <?php
                                                if ($dropId > 0) {
                                                    // Prepare the SQL query to fetch necessary columns
                                                    $query = "SELECT * FROM orders WHERE Status = 0 AND checkpoint=?";
                                                    $stmt = $connection->prepare($query);
                                                    $stmt->bind_param("i", $dropId);
                                                    $stmt->execute();
                                                    $result = $stmt->get_result();

                                                    while ($row = $result->fetch_assoc()) {
                                                        $dropped_date = new DateTime($row['dropped_by']);
                                                        $current_date = new DateTime();
                                                        $interval = $dropped_date->diff($current_date);
                                                        $total_days = $interval->days;

                                                        // Calculate Days
                                                        $days = max(0, $total_days - 3);

                                                        echo '<tr data-id="' . $row['id'] . '">';
                                                        echo '<td>SK836377' . htmlspecialchars($row['id']) . '</td>';
                                                        echo '<td>' . htmlspecialchars($row['sender_phone_number']) . '</td>';
                                                        echo '<td>' . htmlspecialchars($row['description']) . '</td>';
                                                        echo '<td>' . htmlspecialchars($row['notes']) . '</td>';
                                                        echo '<td>' . htmlspecialchars($row['phone_number']) . '</td>';
                                                        echo '<td>' . $row['fees'] . $row['currency'] .'</td>';
                                                        echo '<td>' . $row['insurance'] . $row['insuranceCurrency'] .'</td>';
                                                        echo '<td>';
                                                        echo '<a href="#" class="text-primary eye-btn" data-bs-toggle="modal" data-bs-target="#detailModal" data-id="' . $row['id'] . '" data-order-date="' . htmlspecialchars($row['created_at']) . '" data-held-for-storage="' . htmlspecialchars($row['held_for_storage']) . '" data-dropped-by="' . htmlspecialchars($row['dropped_by']) . '" data-picked="' . htmlspecialchars($row['picked_at']) . '"' . '" data-cancelled="' . htmlspecialchars($row['cancelled']) . '" data-bs-toggle="tooltip" data-bs-placement="bottom" aria-label="Eye"><i class="lni lni-alarm-clock"></i></a>';                                                
                                                        echo '&nbsp&nbsp&nbsp<a href="#" class="text-info image-btn" data-bs-toggle="modal" data-bs-target="#imageModal" data-order-id="' . $row['id'] . '" data-bs-toggle="tooltip" data-bs-placement="bottom" title="View Images"><i class="bi bi-images"></i></a>';
                                                        echo '</td>';
                                                        echo '<td>';
                                                        echo '<div class="table-actions d-flex align-items-center gap-2 fs-6">';
                                                        echo '<form name="frmAccept'.$row['id'].'" id="frmAccept'.$row['id'].'" method="POST" action="RelayPointDetails.php?id='.$row['checkpoint'].'">
                                                            <input type="hidden" name="orderId" value="'.$row['id'].'"/>
                                                            <input type="hidden" name="status" value="1"/>
                                                            <a href="#" onclick="if(confirm(\'Are you sure you want to accept this request?\')){document.getElementById(\'frmAccept'.$row['id'].'\').submit();}" class="text-success" data-bs-toggle="tooltip" data-bs-placement="bottom" title="Accept"><i class="bx bx-check-circle"></i></a>
                                                        </form>';
                                                        echo '<form name="frmCancel'.$row['id'].'" id="frmCancel'.$row['id'].'" method="POST" action="RelayPointDetails.php?id='.$row['checkpoint'].'">
                                                            <input type="hidden" name="orderId" value="'.$row['id'].'"/>
                                                            <input type="hidden" name="status" value="3"/>
                                                            <a href="#" class="text-danger" data-bs-toggle="tooltip" onclick="if(confirm(\'Are you sure you want to cancel this order?\')){document.getElementById(\'frmCancel'.$row['id'].'\').submit();}" data-bs-placement="bottom" title="Cancel"><i class="bx bx-x-circle"></i></a>
                                                        </form>';
                                                        echo '</div>';
                                                        echo '</td>';
                                                        echo '</tr>';
                                                    }
                                                    $stmt->close();
                                                }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane fade" id="dailySales" role="tabpanel">
                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="row">
                                    <div class="mb-3 col-4">
                                        <label for="selectedDate" class="form-label">Select Date:</label>
                                        <input type="date" id="selectedDate" class="form-control" value="<?php echo isset($_POST['selectedDate']) ? $_POST['selectedDate'] : date('Y-m-d'); ?>">
                                        
                                    </div>  
                                    <div class="col-4">
                                    <button id="fetchData" class="btn btn-primary" style="margin-top: 1.9rem;">Fetch Data</button>
                                    </div>                                  
                                </div>                         
                                <div class="table-responsive hidden" style="overflow-x:hidden">
                                    <table id="example5" class="table table-striped table-bordered">
                                        <thead class="thead-dark">
                                            <tr>
                                                <th>Order Id</th>
                                                <th>Order Date</th>
                                                <th>Picked-Up Date</th>
                                                <th>Receiver Phone Number</th>
                                                <th>Total Days</th>
                                                <th>Days</th>
                                                <th>Overcharged</th>
                                                <th>Fees</th>
                                                <th>Insurance</th>
                                                <th>More Details</th>
                                            </tr>
                                        </thead>
                                        <tbody id="sortable">
                                            <?php
                                                $selectedDate = isset($_POST['selectedDate']) ? $_POST['selectedDate'] : date('Y-m-d');

                                                // Prepare the SQL query to fetch necessary columns
                                                $query = "SELECT * FROM orders WHERE picked_at IS NOT NULL AND picked_at != '' AND DATE(picked_at) = ? AND checkpoint=?";
                                                $stmt = $connection->prepare($query);
                                                $stmt->bind_param("si", $selectedDate, $dropId);
                                                $stmt->execute();
                                                $result = $stmt->get_result();

                                                $totalSalesUSD = 0;
                                                $totalSalesLBP = 0;
                                                $totalPickedUpOrders = 0;
                                                $totalInsuranceUSD = 0;
                                                $totalInsuranceLBP = 0;
                                                $totalOverchargeUSD = 0;

                                                while ($row = $result->fetch_assoc()) {
                                                    $dropped_date = new DateTime($row['dropped_by']);
                                                    $current_date = new DateTime();
                                                    $interval = $dropped_date->diff($current_date);
                                                    $total_days = $interval->days;

                                                    // Calculate Days
                                                    $days = max(0, $total_days - 3);
                                                    $fees = floatval($row['fees']);
                                                    $insurance = floatval($row['insurance']);
                                                    $overcharge = floatval($days);

                                                    // Sum up totals based on currency
                                                    if ($row['currency'] == 'USD') {
                                                        $totalSalesUSD += $fees;
                                                    } else if ($row['currency'] == 'LBP') {
                                                        $totalSalesLBP += $fees;
                                                    }

                                                    if ($row['insuranceCurrency'] == 'USD') {
                                                        $totalInsuranceUSD += $insurance;
                                                    } else if ($row['insuranceCurrency'] == 'LBP') {
                                                        $totalInsuranceLBP += $insurance;
                                                    }

                                                    $totalPickedUpOrders += 1;
                                                    $totalOverchargeUSD += $overcharge;

                                                    echo '<tr data-id="' . $row['id'] . '">';
                                                    echo '<td>SK836377' . htmlspecialchars($row['id']) . '</td>';
                                                    echo '<td>' . htmlspecialchars($row['created_at']) . '</td>';
                                                    echo '<td>' . htmlspecialchars($row['picked_at']) . '</td>';
                                                    echo '<td>' . htmlspecialchars($row['phone_number']) . '</td>';
                                                    echo '<td>' . htmlspecialchars($total_days) . '</td>';
                                                    echo '<td>' . htmlspecialchars($days) . '</td>';
                                                    echo '<td>' . htmlspecialchars($days . ' $') . '</td>';
                                                    echo '<td>' . $row['fees'] . ' ' . $row['currency'] .'</td>';
                                                    echo '<td>' . $row['insurance'] . ' ' . $row['insuranceCurrency'] .'</td>';
                                                    echo '<td>';
                                                    echo '<a href="#" class="text-primary eye-btn" data-bs-toggle="modal" data-bs-target="#detailModal" data-id="' . $row['id'] . '" data-order-date="' . htmlspecialchars($row['created_at']) . '" data-held-for-storage="' . htmlspecialchars($row['held_for_storage']) . '" data-dropped-by="' . htmlspecialchars($row['dropped_by']) . '" data-picked="' . htmlspecialchars($row['picked_at']) . '"' . '" data-cancelled="' . htmlspecialchars($row['cancelled']) . '" data-bs-toggle="tooltip" data-bs-placement="bottom" aria-label="Eye"><i class="lni lni-alarm-clock"></i></a>';                                                
                                                    echo '&nbsp&nbsp&nbsp<a href="#" class="text-info image-btn" data-bs-toggle="modal" data-bs-target="#imageModal" data-order-id="' . $row['id'] . '" data-bs-toggle="tooltip" data-bs-placement="bottom" title="View Images"><i class="bi bi-images"></i></a>';
                                                    echo '</td>';
                                                    echo '</tr>';
                                                }
                                                $stmt->close();
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                                
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane fade" id="cancelled" role="tabpanel">
                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="table-responsive hidden" style="overflow-x:hidden">
                                    <table id="example8" class="table table-striped table-bordered">
                                        <thead class="thead-dark">
                                            <tr>
                                                <th>Order Id</th>
                                                <th>Sender Phone Number</th>
                                                <th>Description</th>
                                                <th>Notes</th>
                                                <th>Receiver Phone Number</th>
                                                <th>Fees</th>
                                                <th>Insurance</th>
                                                <th>More Details</th>
                                            </tr>
                                        </thead>
                                        <tbody id="sortable">
                                            <?php
                                                if ($dropId > 0) {
                                                    // Prepare the SQL query to fetch necessary columns
                                                    $query = "SELECT * FROM orders WHERE Status = 4 AND checkpoint=?";
                                                    $stmt = $connection->prepare($query);
                                                    $stmt->bind_param("i", $dropId);
                                                    $stmt->execute();
                                                    $result = $stmt->get_result();

                                                    while ($row = $result->fetch_assoc()) {
                                                        $dropped_date = new DateTime($row['dropped_by']);
                                                        $current_date = new DateTime();
                                                        $interval = $dropped_date->diff($current_date);
                                                        $total_days = $interval->days;

                                                        // Calculate Days
                                                        $days = max(0, $total_days - 3);

                                                        echo '<tr data-id="' . $row['id'] . '">';
                                                        echo '<td>SK836377' . htmlspecialchars($row['id']) . '</td>';
                                                        echo '<td>' . htmlspecialchars($row['sender_phone_number']) . '</td>';
                                                        echo '<td>' . htmlspecialchars($row['description']) . '</td>';
                                                        echo '<td>' . htmlspecialchars($row['notes']) . '</td>';
                                                        echo '<td>' . htmlspecialchars($row['phone_number']) . '</td>';
                                                        echo '<td>' . $row['fees'] . $row['currency'] .'</td>';
                                                        echo '<td>' . $row['insurance'] . $row['insuranceCurrency'] .'</td>';
                                                        echo '<td>';
                                                        echo '<a href="#" class="text-primary eye-btn" data-bs-toggle="modal" data-bs-target="#detailModal" data-id="' . $row['id'] . '" data-order-date="' . htmlspecialchars($row['created_at']) . '" data-held-for-storage="' . htmlspecialchars($row['held_for_storage']) . '" data-dropped-by="' . htmlspecialchars($row['dropped_by']) . '" data-picked="' . htmlspecialchars($row['picked_at']) . '"' . '" data-cancelled="' . htmlspecialchars($row['cancelled']) . '" data-bs-toggle="tooltip" data-bs-placement="bottom" aria-label="Eye"><i class="lni lni-alarm-clock"></i></a>';                                                
                                                        echo '&nbsp&nbsp&nbsp<a href="#" class="text-info image-btn" data-bs-toggle="modal" data-bs-target="#imageModal" data-order-id="' . $row['id'] . '" data-bs-toggle="tooltip" data-bs-placement="bottom" title="View Images"><i class="bi bi-images"></i></a>';
                                                        echo '</td>';
                                                        echo '</tr>';
                                                    }
                                                    $stmt->close();
                                                }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
<!--start switcher-->
<div class="switcher-body">
    <button class="btn btn-primary btn-switcher shadow-sm" type="button" data-bs-toggle="offcanvas"
        data-bs-target="#offcanvasScrolling" aria-controls="offcanvasScrolling"><i
            class="bi bi-paint-bucket me-0"></i></button>
    <div class="offcanvas offcanvas-end shadow border-start-0 p-2" data-bs-scroll="true" data-bs-backdrop="false"
        tabindex="-1" id="offcanvasScrolling">
        <div class="offcanvas-header border-bottom">
            <h5 class="offcanvas-title" id="offcanvasScrollingLabel">Theme Customizer</h5>
            <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas"></button>
        </div>
        <div class="offcanvas-body">
            <h6 class="mb-0">Theme Variation</h6>
            <hr>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="LightTheme" value="option1">
                <label class="form-check-label" for="LightTheme">Light</label>
            </div>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="DarkTheme" value="option2">
                <label class="form-check-label" for="DarkTheme">Dark</label>
            </div>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="SemiDarkTheme"
                    value="option3" checked>
                <label class="form-check-label" for="SemiDarkTheme">Semi Dark</label>
            </div>
            <hr>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="MinimalTheme"
                    value="option3">
                <label class="form-check-label" for="MinimalTheme">Minimal Theme</label>
            </div>

        </div>
    </div>
</div>
<!--end switcher-->
</div>
<!--start overlay-->
<div class="overlay toggle-icon"></div>
<!--end overlay-->
</body>
<footer class="footer">© 2024 Insight Media</footer>
<!-- Bootstrap JS -->
<script src="assets/js/bootstrap.bundle.min.js"></script>
<script src="assets/js/jquery.min.js"></script>
<script src="assets/js/app.js"></script>
<script src="assets/js/pace.min.js"></script>
<script src="//code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
<script src="assets/plugins/simplebar/js/simplebar.min.js"></script>
<script src="assets/plugins/metismenu/js/metisMenu.min.js"></script>
<script src="assets/plugins/perfect-scrollbar/js/perfect-scrollbar.js"></script>
<script src="assets/plugins/datatable/js/jquery.dataTables.min.js"></script>
<script src="assets/plugins/datatable/js/dataTables.bootstrap5.min.js"></script>
<script src="assets/plugins/datatable/js/dataTables.buttons.min.js"></script>
<script src="assets/plugins/datatable/js/buttons.bootstrap5.min.js"></script>
<script src="assets/plugins/datatable/js/jszip.min.js"></script>
<script src="assets/plugins/datatable/js/pdfmake.min.js"></script>
<script src="assets/plugins/datatable/js/vfs_fonts.js"></script>
<script src="assets/plugins/datatable/js/buttons.html5.min.js"></script>
<script src="assets/plugins/datatable/js/buttons.print.min.js"></script>
<script src="assets/plugins/datatable/js/buttons.colVis.min.js"></script>
<script src="assets/plugins/datatable/dataTables.responsive.min.js"></script>
<script src="assets/plugins/datatable/responsive.bootstrap5.min.js"></script>
<script src="assets/plugins/select2/js/select2.min.js"></script>
<script src="assets/plugins/select2/js/select2.full.min.js"></script>
<script src="assets/plugins/notifications/js/lobibox.min.js"></script>
<script src="assets/plugins/notifications/js/notifications.min.js"></script>
<script src="assets/plugins/notifications/js/notification-custom-script.js"></script>
<script>
    $(document).ready(function () {
        // DataTable
        $('#example2').DataTable({
            "paging": true,
            "lengthChange": true,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "responsive": true,
            "buttons": ["copy", "excel", "pdf", "print"],
            "order": [
                [0, "desc"]
            ] // Order by the 4th column in ascending order
        }).buttons().container().appendTo('#example2_wrapper .col-md-6:eq(0)');
    });
</script>
<script>
    $(document).ready(function () {
        // DataTable
        $('#example3').DataTable({
            "paging": true,
            "lengthChange": true,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "responsive": true,
            "buttons": ["copy", "excel", "pdf", "print"],
            "order": [
                [0, "desc"]
            ] // Order by the 4th column in ascending order
        }).buttons().container().appendTo('#example3_wrapper .col-md-6:eq(0)');
    });
</script>
<script>
    $(document).ready(function () {
        $('#example4').DataTable({
            "paging": true,
            "lengthChange": true,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "responsive": true,
            "buttons": ["copy", "excel", "pdf", "print"],
            "order": [
                [0, "desc"]
            ]
        }).buttons().container().appendTo('#example4_wrapper .col-md-6:eq(0)');

        // Modal trigger
        $('#detailModal').on('show.bs.modal', function (event) {
            var button = $(event.relatedTarget);
            var orderDate = button.data('order-date');
            var heldForStorage = button.data('held-for-storage');
            var droppedBy = button.data('dropped-by');
            var picked = button.data('picked');
            var cancelled = button.data('cancelled');

            var modal = $(this);
            modal.find('#modalOrderDate').text(orderDate);
            modal.find('#modalHeldForStorage').text(heldForStorage);
            modal.find('#modalDroppedBy').text(droppedBy);
            modal.find('#modalPicked').text(picked);
            modal.find('#modalCancelled').text(cancelled);
        });
    });
    // Modal trigger for imageModal
    $('#imageModal').on('show.bs.modal', function (event) {
        var button = $(event.relatedTarget);
        var orderId = button.data('order-id');

        $.ajax({
            url: 'getOrderImages.php',
            type: 'GET',
            data: {
                order_id: orderId
            },
            success: function (response) {
                var images = JSON.parse(response);
                var carouselInner = $('#carouselImages');
                carouselInner.empty();

                if (images.length > 0) {
                    images.forEach(function (image, index) {
                        var activeClass = index === 0 ? 'active' : '';
                        var carouselItem = '<div class="carousel-item ' + activeClass +
                            '">';
                        carouselItem += '<img src="app/uploads/' + image.file_name +
                            '" class="d-block w-100" alt="Order Image">';
                        carouselItem += '</div>';
                        carouselInner.append(carouselItem);
                    });
                } else {
                    var noImages = '<div class="carousel-item active">';
                    noImages +=
                        '<div class="d-flex align-items-center justify-content-center" style="height: 300px;">No images available</div>';
                    noImages += '</div>';
                    carouselInner.append(noImages);
                }
            }
        });
    });
</script>
<script>
    document.getElementById('fetchData').addEventListener('click', function() {
        var selectedDate = document.getElementById('selectedDate').value;
        var form = document.createElement('form');
        form.method = 'POST';
        form.action = '';
        
        var inputDate = document.createElement('input');
        inputDate.type = 'hidden';
        inputDate.name = 'selectedDate';
        inputDate.value = selectedDate;

        var inputTab = document.createElement('input');
        inputTab.type = 'hidden';
        inputTab.name = 'activeTab';
        inputTab.value = 'dailySales';

        form.appendChild(inputDate);
        form.appendChild(inputTab);
        document.body.appendChild(form);
        form.submit();
    });

    document.addEventListener('DOMContentLoaded', function() {
        var activeTab = '<?php echo isset($_POST['activeTab']) ? $_POST['activeTab'] : ''; ?>';
        if (activeTab) {
            var tab = new bootstrap.Tab(document.querySelector('a[href="#' + activeTab + '"]'));
            tab.show();
        }
    });
</script>

<script>
    $(document).ready(function () {
        // DataTable
        $('#example5').DataTable({
            "paging": true,
            "lengthChange": true,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "responsive": true,
            "buttons": ["copy", "excel", "pdf", "print"],
            "order": [
                [0, "desc"]
            ] // Order by the 4th column in ascending order
        }).buttons().container().appendTo('#example5_wrapper .col-md-6:eq(0)');
    });
</script>
<script>
    $(document).ready(function () {
        // DataTable
        $('#example6').DataTable({
            "paging": true,
            "lengthChange": true,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "responsive": true,
            "buttons": ["copy", "excel", "pdf", "print"],
            "order": [
                [0, "desc"]
            ] // Order by the 4th column in ascending order
        }).buttons().container().appendTo('#example6_wrapper .col-md-6:eq(0)');
    });
</script>
<script>
    $(document).ready(function () {
        // DataTable
        $('#example7').DataTable({
            "paging": true,
            "lengthChange": true,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "responsive": true,
            "buttons": ["copy", "excel", "pdf", "print"],
            "order": [
                [0, "desc"]
            ] // Order by the 4th column in ascending order
        }).buttons().container().appendTo('#example7_wrapper .col-md-6:eq(0)');
    });
</script>
<script>
    $(document).ready(function () {
        // DataTable
        $('#example8').DataTable({
            "paging": true,
            "lengthChange": true,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "responsive": true,
            "buttons": ["copy", "excel", "pdf", "print"],
            "order": [
                [0, "desc"]
            ] // Order by the 4th column in ascending order
        }).buttons().container().appendTo('#example8_wrapper .col-md-6:eq(0)');
    });
</script>
<script>
    // Detect when a theme radio button is clicked
    document.querySelectorAll('input[name="inlineRadioOptions"]').forEach((elem) => {
        elem.addEventListener("change", function (event) {
            // Save the selected theme in localStorage
            localStorage.setItem('selectedTheme', event.target.id);
            // Apply the selected theme
            applyTheme(event.target.id);
        });
    });

    // When everything has loaded, get the selected theme from localStorage and apply it
    window.addEventListener("load", function () {
        let selectedTheme = localStorage.getItem('selectedTheme');
        if (selectedTheme) {
            document.getElementById(selectedTheme).checked = true;
            applyTheme(selectedTheme);
        }
    });

    // Function to apply the selected theme
    function applyTheme(theme) {
        const htmlClassList = document.documentElement.classList;
        // Cancel all theme classes
        htmlClassList.Cancel('light-theme', 'dark-theme', 'semi-dark', 'minimal-theme');
        // Add the selected theme class
        switch (theme) {
            case 'LightTheme':
                htmlClassList.add('light-theme');
                break;
            case 'DarkTheme':
                htmlClassList.add('dark-theme');
                break;
            case 'SemiDarkTheme':
                htmlClassList.add('semi-dark');
                break;
            case 'MinimalTheme':
                htmlClassList.add('minimal-theme');
                break;
        }
    }
</script>

</html>