<?php
include "includes/header.php";
?>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">

        <?php include "includes/sidebar.php"; ?>

        <main class="page-content">
        <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <div class="table-responsive hidden" style="overflow-x:hidden">
                    <table id="example2" class="table table-striped table-bordered">
                        <thead class="thead-dark">
                            <tr>
                                <th>User ID</th>
                                <th>Email</th>
                                <th>Full Name</th>
                                <th>Phone Number</th>
                                <th>Date Registered</th>
                                <th>Status</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody id="sortable">
                            <?php
                                // Prepare the SQL query to fetch necessary columns from the Users table
                                $query = "SELECT id, Email, FullName, PhoneNumber, DateRegistered, Status FROM Users";
                                $stmt = $connection->prepare($query);
                                $stmt->execute();
                                $result = $stmt->get_result();

                                while ($row = $result->fetch_assoc()) {
                                    echo '<tr>';
                                    echo '<td>' . htmlspecialchars($row['id']) . '</td>';
                                    echo '<td>' . htmlspecialchars($row['Email']) . '</td>';
                                    echo '<td>' . htmlspecialchars($row['FullName']) . '</td>';
                                    echo '<td>' . htmlspecialchars($row['PhoneNumber']) . '</td>';
                                    echo '<td>' . htmlspecialchars($row['DateRegistered']) . '</td>';
                                    echo '<td>' . ($row['Status'] == 1 ? 'Banned' : 'Unbanned') . '</td>';
                                    echo '<td>';
                                    if ($row['Status'] == 1) {
                                        echo '<button class="btn btn-success btn-unban" data-user-id="' . $row['id'] . '">Unban</button>';
                                    } else {
                                        echo '<button class="btn btn-danger btn-ban" data-user-id="' . $row['id'] . '">Ban</button>';
                                    }
                                    echo '</td>';
                                    echo '</tr>';
                                }
                                $stmt->close();
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>


        </main>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js" integrity="sha512-v2CJ7UaYy4JwqLDIrZUI/4hqeoQieOmAZNXBeQyjo21dadnwR+8ZaIJVT8EE2iyI61OV8e6M8PP2/4hpQINQ/g==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script>
    $(document).ready(function () {
        // Handle Ban button click
        $(document).on('click', '.btn-ban', function () {
            var userId = $(this).data('user-id');
            var confirmBan = confirm("Are you sure you want to ban this user?");
            if (confirmBan) {
                changeUserStatus(userId, 1); // 1 for Banned
            }
        });

        // Handle Unban button click
        $(document).on('click', '.btn-unban', function () {
            var userId = $(this).data('user-id');
            var confirmUnban = confirm("Are you sure you want to unban this user?");
            if (confirmUnban) {
                changeUserStatus(userId, 2); // 2 for Unbanned
            }
        });

        // Function to change user status
        function changeUserStatus(userId, status) {
            $.ajax({
                url: 'changeUserStatus.php',
                type: 'POST',
                data: { id: userId, status: status },
                dataType: 'json',
                success: function (response) {
                    if (response.success) {
                        location.reload(); // Reload the page to reflect changes
                    } else {
                        alert('Failed to update user status. Error: ' + response.error);
                    }
                },
                error: function (xhr, status, error) {
                    alert('AJAX error: ' + error);
                }
            });
        }
    });
</script>




        <?php include "includes/footer.php"; ?>