<?php
require_once '../vendor/autoload.php'; // Adjust the path as needed
require_once '../includes/db.php'; // Include your DB connection

use Twilio\Rest\Client;

// Twilio credentials (Use the WhatsApp-specific credentials)
$accountSid = 'AC86b51642b61503f1f2dc2a3680daa2bb'; // Example SID
$authToken = '2cda21d5c63204e670eb0a041ebd3c8c'; // Example Auth Token
$twilioWhatsAppNumber = 'whatsapp:+19516434805';

$client = new Client($accountSid, $authToken);

function generateCode($length = 4) {
    return substr(str_shuffle("0123456789abcdefghijklmnopqrstuvwxyz"), 0, $length);
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Extract text fields from POST request
    $receiverName = $_POST['receiver_name'] ?? '';
    $phoneNumber = $_POST['phone_number'] ?? '';
    $description = $_POST['description'] ?? '';
    $notes = $_POST['notes'] ?? '';
    $checkpoint = $_POST['checkpoint'] ?? '';
    $insurance = $_POST['insurance'] ?? '';
    // Extract sender's details from POST request
    $senderId = $_POST['sender_id'] ?? '';
    $senderPhoneNumber = $_POST['sender_phone_number'] ?? '';
    $senderName = $_POST['sender_name'] ?? '';
    $fees = $_POST['fees'] ?? 0;
    $insuranceFees = $_POST['insurance_fees'] ?? 0;
    $currency = $_POST['currency'] ?? '';
    $insuranceCurrency = $_POST['insurance_currency'] ?? '';

    // Generate a 4-length code
    $orderCode = generateCode();

    // Prepare SQL query to insert order and sender details into your database
    $query = "INSERT INTO orders (receiver_name, phone_number, description, notes, checkpoint, insurance, sender_id, sender_phone_number, sender_name, fees, insuranceFees, currency, insuranceCurrency, code) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
    $stmt = mysqli_prepare($connection, $query);

    // Bind parameters (including sender's details) and execute statement
    mysqli_stmt_bind_param($stmt, "ssssiisssiisss", $receiverName, $phoneNumber, $description, $notes, $checkpoint, $insurance, $senderId, $senderPhoneNumber, $senderName, $fees, $insuranceFees, $currency, $insuranceCurrency, $orderCode);
    $result = mysqli_stmt_execute($stmt);

    if ($result) {
        $orderId = mysqli_insert_id($connection); // Get the ID of the inserted order

        // Handle file uploads
        foreach ($_FILES['images']['name'] as $key => $value) {
            $fileName = $_FILES['images']['name'][$key];
            $fileTmpName = $_FILES['images']['tmp_name'][$key];
            $fileType = $_FILES['images']['type'][$key];
            $fileError = $_FILES['images']['error'][$key];
            $fileSize = $_FILES['images']['size'][$key];

            $fileExt = strtolower(end(explode('.', $fileName)));
            $allowed = array('jpg', 'jpeg', 'png', 'gif');

            if (in_array($fileExt, $allowed)) {
                if ($fileError === 0) {
                    if ($fileSize < 50000000) { // 5MB limit
                        $fileNameNew = uniqid('', true) . "." . $fileExt;
                        $fileDestination = 'uploads/' . $fileNameNew; // Make sure you have this directory
                        move_uploaded_file($fileTmpName, $fileDestination);

                        // Insert image file name into the database
                        $queryImg = "INSERT INTO order_images (order_id, file_name) VALUES (?, ?)";
                        $stmtImg = mysqli_prepare($connection, $queryImg);
                        mysqli_stmt_bind_param($stmtImg, "is", $orderId, $fileNameNew);
                        mysqli_stmt_execute($stmtImg);
                    } else {
                        echo "Your file is too big.";
                    }
                } else {
                    echo "There was an error uploading your file.";
                }
            } else {
                echo "You cannot upload files of this type.";
            }
        }

        // Fetch relay point phone number from Drops table using checkpoint id
        $relayPointQuery = "SELECT PhoneNumber FROM Drops WHERE id = ?";
        $stmtRelay = mysqli_prepare($connection, $relayPointQuery);
        mysqli_stmt_bind_param($stmtRelay, "i", $checkpoint);
        mysqli_stmt_execute($stmtRelay);
        $resultRelay = mysqli_stmt_get_result($stmtRelay);
        $relayRow = mysqli_fetch_assoc($resultRelay);
        $relayPhoneNumber = $relayRow['PhoneNumber'] ?? ''; // Fallback in case no phone number is found
        mysqli_stmt_close($stmtRelay);

        if (empty($relayPhoneNumber)) {
            echo json_encode(['success' => false, 'message' => 'Relay point phone number not found.']);
            exit;
        }

        // Format the phone numbers for WhatsApp messaging
        $senderWhatsAppPhoneNumber = 'whatsapp:' . $senderPhoneNumber;
        $whatsAppRelayNumber = 'whatsapp:+961' . $relayPhoneNumber; // Relay point's WhatsApp formatted number
        

        try {
            // Send the message to the relay point via WhatsApp using the order_confirmation template
            $client->messages->create(
                $whatsAppRelayNumber,
                [
                    'from' => $twilioWhatsAppNumber,
                    'body' => "Dear Relay Point,\n\nYou have a new order from $senderPhoneNumber. Please check the requests page in the Relay Point app for confirmation."
                ]
            );

            // Send the message to the sender via WhatsApp using the drop_ready template
            $client->messages->create(
                'whatsapp:' . $senderPhoneNumber,
                [
                    'from' => $twilioWhatsAppNumber,
                    'body' => "Thank you for your order request! We have received it and will review it shortly. We will inform you once your order has been approved."
                ]
            );

            $response = ['success' => true, 'message' => 'Order has been made successfully, and notifications sent via WhatsApp.'];
            echo json_encode($response);
        } catch (Exception $e) {
            $response = [
                'success' => true, // Order still successful
                'message' => 'Order has been made successfully, but failed to send WhatsApp notifications.',
                'error' => $e->getMessage()
            ];
            echo json_encode($response);
        }
    } else {
        $response = ['success' => false, 'message' => 'Failed to make order.'];
        echo json_encode($response);
    }
} else {
    echo "Invalid request";
}
?>
