<?php
require_once '../vendor/autoload.php';
require_once '../includes/db.php';

use Twilio\Rest\Client;

$accountSid = 'AC86b51642b61503f1f2dc2a3680daa2bb';
$authToken = '2cda21d5c63204e670eb0a041ebd3c8c';
$twilioWhatsAppNumber = 'whatsapp:+19516434805';

$client = new Client($accountSid, $authToken);

if (isset($_POST['orderId']) && isset($_POST['status'])) {
    $orderId = mysqli_real_escape_string($connection, $_POST['orderId']);
    $status = mysqli_real_escape_string($connection, $_POST['status']);

    if ($status == 1 || $status == 2 || $status == 3 || $status == 4) {
        $query = "UPDATE orders SET Status = ? WHERE id = ?";
        $stmt = mysqli_prepare($connection, $query);

        if ($stmt) {
            mysqli_stmt_bind_param($stmt, "ii", $status, $orderId);
            $result = mysqli_stmt_execute($stmt);

            if ($result) {
                if ($status == 1) {
                    $droppedBy = date('Y-m-d H:i:s');
                    $updateDroppedByQuery = "UPDATE orders SET dropped_by = ? WHERE id = ?";
                    $updateDroppedByStmt = mysqli_prepare($connection, $updateDroppedByQuery);
                    if ($updateDroppedByStmt) {
                        mysqli_stmt_bind_param($updateDroppedByStmt, "si", $droppedBy, $orderId);
                        mysqli_stmt_execute($updateDroppedByStmt);
                        mysqli_stmt_close($updateDroppedByStmt);
                    }
                }
                if ($status == 2) {
                    $pickedAt = date('Y-m-d H:i:s');
                    $updatePickedAtQuery = "UPDATE orders SET picked_at = ? WHERE id = ?";
                    $updatePickedAtStmt = mysqli_prepare($connection, $updatePickedAtQuery);
                    if ($updatePickedAtStmt) {
                        mysqli_stmt_bind_param($updatePickedAtStmt, "si", $pickedAt, $orderId);
                        mysqli_stmt_execute($updatePickedAtStmt);
                        mysqli_stmt_close($updatePickedAtStmt);
                    }
                }
                if ($status == 3) {
                    $heldForStorage = date('Y-m-d H:i:s');
                    $updateHeldForStorageQuery = "UPDATE orders SET held_for_storage = ? WHERE id = ?";
                    $updateHeldForStorageStmt = mysqli_prepare($connection, $updateHeldForStorageQuery);
                    if ($updateHeldForStorageStmt) {
                        mysqli_stmt_bind_param($updateHeldForStorageStmt, "si", $heldForStorage, $orderId);
                        mysqli_stmt_execute($updateHeldForStorageStmt);
                        mysqli_stmt_close($updateHeldForStorageStmt);
                    }
                }
                if ($status == 4) {
                    $heldForStorage = date('Y-m-d H:i:s');
                    $updateHeldForStorageQuery = "UPDATE orders SET cancelled = ? WHERE id = ?";
                    $updateHeldForStorageStmt = mysqli_prepare($connection, $updateHeldForStorageQuery);
                    if ($updateHeldForStorageStmt) {
                        mysqli_stmt_bind_param($updateHeldForStorageStmt, "si", $heldForStorage, $orderId);
                        mysqli_stmt_execute($updateHeldForStorageStmt);
                        mysqli_stmt_close($updateHeldForStorageStmt);
                    }
                }

                $orderQuery = "SELECT phone_number, sender_phone_number, checkpoint, code FROM orders WHERE id = ?";
                $orderStmt = mysqli_prepare($connection, $orderQuery);
                mysqli_stmt_bind_param($orderStmt, "i", $orderId);
                mysqli_stmt_execute($orderStmt);
                $orderResult = mysqli_stmt_get_result($orderStmt);
                $order = mysqli_fetch_assoc($orderResult);
                mysqli_stmt_close($orderStmt);

                if ($order) {
                    $senderPhoneNumber = $order['sender_phone_number'];
                    $phoneNumber = $order['phone_number'];
                    $checkpointId = $order['checkpoint'];
                    $code = $order['code'];

                    // Fetch the drop details
                    $dropQuery = "SELECT Name, Address, GoogleMaps, PhoneNumber FROM Drops WHERE id = ?";
                    $dropStmt = mysqli_prepare($connection, $dropQuery);
                    mysqli_stmt_bind_param($dropStmt, "i", $checkpointId);
                    mysqli_stmt_execute($dropStmt);
                    $dropResult = mysqli_stmt_get_result($dropStmt);
                    $drop = mysqli_fetch_assoc($dropResult);
                    mysqli_stmt_close($dropStmt);

                    if ($drop) {
                        $dropName = $drop['Name'];
                        $dropAddress = $drop['Address'];
                        $dropGoogleMaps = "https://www.google.com/maps/search/?api=1&query=" . urlencode($drop['GoogleMaps']);
                        $dropPhoneNumber = $drop['PhoneNumber'];

                        try {
                            if ($status == 1) {
                                $client->messages->create(
                                    'whatsapp:+961' . $dropPhoneNumber,
                                    [
                                        'from' => $twilioWhatsAppNumber,
                                        'body' => "Dear Drop-off and Pick-up Point Owner,\n\nYou have received a package from the customer associated with the phone number $senderPhoneNumber with details available in your application. This package is under your custody and responsibility until it is collected by the recipient, with a maximum holding period of three business days."
                                    ]
                                );

                                $client->messages->create(
                                    'whatsapp:' . $phoneNumber,
                                    [
                                        'from' => $twilioWhatsAppNumber,
                                        'body' => "Dear Valued Customer,\n\nYour package, associated with the phone number $senderPhoneNumber, has been deposited at the drop-off and pick-up point located at $dropGoogleMaps. You may collect it starting today, with a maximum holding period of three business days.\nIn Case Of Delay, an extra charge of one dollar per day will be applied for an additional three days.\nPlease present the code ($code) to the relay point before collecting your order."
                                    ]
                                );

                                $response = [
                                    'success' => 1,
                                    'message' => 'Order status updated and notification sent via WhatsApp.'
                                ];
                            } elseif ($status == 2) {
                                $client->messages->create(
                                    'whatsapp:' . $phoneNumber,
                                    [
                                        'from' => $twilioWhatsAppNumber,
                                        'body' => "We are pleased to inform you that you have successfully picked up your package. Thank you for using our service. We look forward to serving you again in the future."
                                    ]
                                );
                                $client->messages->create(
                                    'whatsapp:' . $senderPhoneNumber,
                                    [
                                        'from' => $twilioWhatsAppNumber,
                                        'body' => "We are pleased to inform you that the recipient has successfully picked up the package you sent. Thank you for using our service!"
                                    ]
                                );

                                $response = [
                                    'success' => 1,
                                    'message' => 'Order status updated and notification sent via WhatsApp.'
                                ];
                            } elseif ($status == 3) {
                                $client->messages->create(
                                    'whatsapp:' . $senderPhoneNumber,
                                    [
                                        'from' => $twilioWhatsAppNumber,
                                        'body' => "Good news! Your order has been approved. You can drop off your order at the following relay point:\n\n$dropName, $dropAddress, $dropGoogleMaps \n\nPlease make sure to bring your order within the next 3 days, or it will be cancelled.\n\nThank you for your cooperation."
                                    ]
                                );

                                $response = [
                                    'success' => 1,
                                    'message' => 'Order status updated and notification sent via WhatsApp.'
                                ];
                            }  elseif ($status == 4) {
                                $newOrderId = 'SK836377' . $orderId;
                                $client->messages->create(
                                    'whatsapp:' . $senderPhoneNumber,
                                    [
                                        'from' => $twilioWhatsAppNumber,
                                        'body' => "We regret to inform you that your order has been declined. For more information or assistance, please reach out to us using the WhatsApp buttons below.\n\nWhen contacting us, kindly use your order ID: $newOrderId to help us assist you further."
                                    ]
                                );

                                $response = [
                                    'success' => 1,
                                    'message' => 'Order status updated and notification sent via WhatsApp.'
                                ];
                            }

                        } catch (Exception $e) {
                            $response = [
                                'success' => 0,
                                'message' => 'Order status updated, but failed to send WhatsApp notification.',
                                'error' => $e->getMessage()
                            ];
                        }
                    } else {
                        $response = [
                            'success' => 0,
                            'message' => 'Drop point not found.'
                        ];
                    }
                } else {
                    $response = [
                        'success' => 0,
                        'message' => 'Order not found.'
                    ];
                }
            } else {
                $response = [
                    'success' => 0,
                    'message' => 'Failed to update order status.'
                ];
            }

            mysqli_stmt_close($stmt);
        } else {
            $response = [
                'success' => 0,
                'message' => 'Failed to prepare the statement.'
            ];
        }
    } else {
        $response = [
            'success' => 0,
            'message' => 'Invalid status value.'
        ];
    }
} else {
    $response = [
        'success' => 0,
        'message' => 'Required field(s) is missing.'
    ];
}

echo json_encode($response);
mysqli_close($connection);
?>
