<?php
require 'includes/db.php'; // Include your database connection file

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $userId = intval($_POST['id']);
    $status = intval($_POST['status']);

    // Prepare the SQL query to update the user status
    $query = "UPDATE Users SET Status = ? WHERE id = ?";
    $stmt = $connection->prepare($query);

    if ($stmt) {
        $stmt->bind_param("ii", $status, $userId);

        if ($stmt->execute()) {
            echo json_encode(['success' => true]);
        } else {
            echo json_encode(['success' => false, 'error' => $stmt->error]);
        }
        $stmt->close();
    } else {
        echo json_encode(['success' => false, 'error' => $connection->error]);
    }

    $connection->close();
} else {
    echo json_encode(['success' => false, 'error' => 'Invalid request method.']);
}
?>
