<?php
include '../includes/db.php';

if(isset($_POST['orderId']) && isset($_POST['status'])) {
    $orderId = mysqli_real_escape_string($connection, $_POST['orderId']);
    $status = mysqli_real_escape_string($connection, $_POST['status']);
    
    // Ensure the status is either 1 (Done) or 2 (Cancelled)
    if($status == 1 || $status == 2 || $status == 3) {
        $query = "UPDATE orders SET status = ? WHERE id = ?";
        $stmt = mysqli_prepare($connection, $query);
        
        // Check if the statement was prepared correctly
        if ($stmt) {
            mysqli_stmt_bind_param($stmt, "ii", $status, $orderId);
            $result = mysqli_stmt_execute($stmt);
            
            if ($result) {
                $response = array(
                    'success' => 1,
                    'message' => 'Order status updated successfully.'
                );
            } else {
                $response = array(
                    'success' => 0,
                    'message' => 'Failed to update order status.'
                );
            }
            
            mysqli_stmt_close($stmt);
        } else {
            $response = array(
                'success' => 0,
                'message' => 'Failed to prepare the statement.'
            );
        }
    } else {
        $response = array(
            'success' => 0,
            'message' => 'Invalid status value.'
        );
    }
} else {
    $response = array(
        'success' => 0,
        'message' => 'Required field(s) is missing.'
    );
}

echo json_encode($response);
mysqli_close($connection);
?>
